View the data fields for the different report types.
Report Service API
The Report Service API provides an efficient and secure way to download On-Demand Liquidity (ODL) payment transactions on the RippleNet network.
Three report types are available in either CSV or JSON format when performing a List reports operation:
| Report type | Description |
|---|---|
PAYMENT_OPS | This is a Basic payment report suitable for high-level payment investigation and reporting. |
RECON | This is a Reconciliation report suitable for reconciliation and detailed state-by-state investigation. |
FAILURE_CONVERSION_SSA | This is a Failure conversion & SSA report suitable for failed payments investigation. |
Note: These On-Demand Liquidity (ODL) statement reports do not include data on fiat payments in RippleNet.
The Basic payment report (PAYMENT_OPS) provides basic payment data, but not the transaction data within payments.
View the Payment operations reports data fields.
The Reconciliation report (RECON) includes all basic payment data, and also includes trade and liquidation data that may be associated with a payment.
A single payment with multiple transactions appears in multiple lines, one line per transaction. Each line includes data that has occurred during the transaction, and all subordinate transactions share the same Payment ID.
View the Reconciliation reports data fields.
The Failure conversion & SSA report (FAILURE_CONVERSION_SSA) includes failed payments data.
Reports are available in pre-generated formats for the previous two months and the current month-to-date.
The month-to-date report is generated daily at 00:00 AM (UTC) and is generally available one minute later, at 00:01 AM.
On October 16th, you can get:
- Full month reports for August and September.
- A month-to-date report from October 1st to October 16th.
| Month | Example | Description |
|---|---|---|
| Current | October 1, 2022 to October 16, 2022 at 00:00 AM | Includes ODL payment data from the first day of the current month up to 00:00 AM (UTC) of the current day. |
| Previous | September (If the current month is October) | Includes all ODL payment data for the month preceding the current month. |
| Month Before Last | August (If the current month is October) | Includes all ODL payment data from the month preceding the last month. |
Use these operations to view a list of reports, or download a specific report.
| API operation | Description |
|---|---|
| List reports | View a list of available reports. |
| Create a report | Create a report. |
| Get a report | View a specific report. |
| Delete a report | Delete a specific report. |
| Download a report | Download an individual report in JSON or CSV format. |
To use any API operation you need a valid access token. You must include a valid access token in the Authorization header of each request.
For more information about getting an access token, see Authentication.
You can use the Report Service API with the test and production environments by using different base URLs.
| Environment | Base URL | Description |
|---|---|---|
| Test | reporting-test.rnc.ripplenet.com | Test environment with simulated partners and simulated currency. |
| Production | reporting.rnc.ripplenet.com | Production environment with actual partners and actual currency. |
https://docs.ripple.com/_mock/products/payments-odl/api-docs/report_service/report_service/
https://reporting-test.rnc.ripplenet.com/
https://reporting.rnc.ripplenet.com/
- Mock server
https://docs.ripple.com/_mock/products/payments-odl/api-docs/report_service/report_service/internal/reports
- Test environment<br/>Learn about <a href="https://docs.ripple.com/ripplenet/implementation/baseurls/#base-url-by-api-environment" class="api-console-href">API environments</a>
https://reporting-test.rnc.ripplenet.com/internal/reports
- Production environment
https://reporting.rnc.ripplenet.com/internal/reports
- curl
- Python
curl -i -X GET \
'https://docs.ripple.com/_mock/products/payments-odl/api-docs/report_service/report_service/internal/reports?caspian-only=true&created-by=USER' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'Returns an array of report metadata for the calling tenant
Unique identifier for a report.
The report type of the downloadable report.
| Enum Value | Description |
|---|---|
| PAYMENT_OPS | Basic payment report suitable for high-level payment investigation and reporting. |
| RECON | Reconciliation report suitable for reconciliation and detailed state-by-state investigation. |
| FAILURE_CONVERSION_SSA | Failure conversion & SSA report suitable for failed payments investigation. |
The report format of the downloadable report.
| Enum Value | Description |
|---|---|
| CSV | A CSV file is a text file that uses a comma to delimit values. Each line of text corresponds to a unique record. |
| JSON | JSON (Javascript Object Notation) is a file format that uses human-readable text to store and transmit data objects consisting of attribute-value pairs and arrays. |
The status of the report.
| Enum Value | Description |
|---|---|
| PENDING | Report isn't ready for download. |
| READY | Report is ready for download. |
| FAILED | Unable generate the report. |
| EMPTY | Report has no transactions for the date range. |
The ISO-8601 start date (inclusive) of the report.
The ISO-8601 end date (inclusive) of the report.
Note: Must be after startDate, but no more than 90 days after.
Identifies the entity that initiated the report creation.
| Value | Description |
|---|---|
| SCHEDULER | Automated system-generated report initiated by the scheduler. |
| API | User-generated report initiated through the API. |
| [full name] | Full name of the user who initiated the creation of the report through the UI. |
| null | Legacy support for older reports. |
{ "reports": [ { … } ] }
- Mock server
https://docs.ripple.com/_mock/products/payments-odl/api-docs/report_service/report_service/internal/reports
- Test environment<br/>Learn about <a href="https://docs.ripple.com/ripplenet/implementation/baseurls/#base-url-by-api-environment" class="api-console-href">API environments</a>
https://reporting-test.rnc.ripplenet.com/internal/reports
- Production environment
https://reporting.rnc.ripplenet.com/internal/reports
- curl
- Python
curl -i -X PUT \
'https://docs.ripple.com/_mock/products/payments-odl/api-docs/report_service/report_service/internal/reports?tenant-id=string&use-caspian=true' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: */*' \
-d 497f6eca-6276-4993-bfeb-53cbbbba6f08Returns the list of reports with resulting retry STATUS attached
Unique identifier for a report.
The report type of the downloadable report.
| Enum Value | Description |
|---|---|
| PAYMENT_OPS | Basic payment report suitable for high-level payment investigation and reporting. |
| RECON | Reconciliation report suitable for reconciliation and detailed state-by-state investigation. |
| FAILURE_CONVERSION_SSA | Failure conversion & SSA report suitable for failed payments investigation. |
The report format of the downloadable report.
| Enum Value | Description |
|---|---|
| CSV | A CSV file is a text file that uses a comma to delimit values. Each line of text corresponds to a unique record. |
| JSON | JSON (Javascript Object Notation) is a file format that uses human-readable text to store and transmit data objects consisting of attribute-value pairs and arrays. |
The status of the report.
| Enum Value | Description |
|---|---|
| PENDING | Report isn't ready for download. |
| READY | Report is ready for download. |
| FAILED | Unable generate the report. |
| EMPTY | Report has no transactions for the date range. |
The ISO-8601 start date (inclusive) of the report.
The ISO-8601 end date (inclusive) of the report.
Note: Must be after startDate, but no more than 90 days after.
{ "reports": [ { … } ] }
Parameters defining the requested report
User defined name of the report.
The ISO-8601 start date (inclusive) for requested report.
The ISO-8601 end date (inclusive) for a requested report.
Note: Must be after startDate, but no more than 90 days after.
The report type of the downloadable report.
| Enum Value | Description |
|---|---|
| PAYMENT_OPS | Basic payment report suitable for high-level payment investigation and reporting. |
| RECON | Reconciliation report suitable for reconciliation and detailed state-by-state investigation. |
| FAILURE_CONVERSION_SSA | Failure conversion & SSA report suitable for failed payments investigation. |
The report format of the downloadable report.
| Enum Value | Description |
|---|---|
| CSV | A CSV file is a text file that uses a comma to delimit values. Each line of text corresponds to a unique record. |
| JSON | JSON (Javascript Object Notation) is a file format that uses human-readable text to store and transmit data objects consisting of attribute-value pairs and arrays. |
- Mock server
https://docs.ripple.com/_mock/products/payments-odl/api-docs/report_service/report_service/internal/reports
- Test environment<br/>Learn about <a href="https://docs.ripple.com/ripplenet/implementation/baseurls/#base-url-by-api-environment" class="api-console-href">API environments</a>
https://reporting-test.rnc.ripplenet.com/internal/reports
- Production environment
https://reporting.rnc.ripplenet.com/internal/reports
- curl
- Python
curl -i -X POST \
'https://docs.ripple.com/_mock/products/payments-odl/api-docs/report_service/report_service/internal/reports?use-caspian=true' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: */*' \
-d '[object Object]'Returns the JSON record for the posted report
Unique identifier for a report.
The report type of the downloadable report.
| Enum Value | Description |
|---|---|
| PAYMENT_OPS | Basic payment report suitable for high-level payment investigation and reporting. |
| RECON | Reconciliation report suitable for reconciliation and detailed state-by-state investigation. |
| FAILURE_CONVERSION_SSA | Failure conversion & SSA report suitable for failed payments investigation. |
The report format of the downloadable report.
| Enum Value | Description |
|---|---|
| CSV | A CSV file is a text file that uses a comma to delimit values. Each line of text corresponds to a unique record. |
| JSON | JSON (Javascript Object Notation) is a file format that uses human-readable text to store and transmit data objects consisting of attribute-value pairs and arrays. |
The status of the report.
| Enum Value | Description |
|---|---|
| PENDING | Report isn't ready for download. |
| READY | Report is ready for download. |
| FAILED | Unable generate the report. |
| EMPTY | Report has no transactions for the date range. |
The ISO-8601 start date (inclusive) of the report.
The ISO-8601 end date (inclusive) of the report.
Note: Must be after startDate, but no more than 90 days after.
{ "reportId": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "reportName": "My custom report", "reportType": "PAYMENT_OPS", "reportFormat": "CSV", "reportStatus": "READY", "startDate": "2018-04-06T19:33:35Z", "endDate": "2018-04-06T20:33:35Z", "createdOn": "2018-04-06T20:33:35Z" }
Parameters defining the requested report
| Items Enum Value | Description |
|---|---|
| PAYMENT_OPS | Basic payment report suitable for high-level payment investigation and reporting. |
| RECON | Reconciliation report suitable for reconciliation and detailed state-by-state investigation. |
| FAILURE_CONVERSION_SSA | Failure conversion & SSA report suitable for failed payments investigation. |
| Enum Value | Description |
|---|---|
| EXTERNAL | External endpoint |
| INTERNAL | Internal endpoint |
The ISO-8601 start date (inclusive) for the requested report.
The ISO-8601 end date (inclusive) for the requested report.
Note: Must be after startDate, but no more than 90 days after.
- Mock server
https://docs.ripple.com/_mock/products/payments-odl/api-docs/report_service/report_service/internal/scheduler/reports
- Test environment<br/>Learn about <a href="https://docs.ripple.com/ripplenet/implementation/baseurls/#base-url-by-api-environment" class="api-console-href">API environments</a>
https://reporting-test.rnc.ripplenet.com/internal/scheduler/reports
- Production environment
https://reporting.rnc.ripplenet.com/internal/scheduler/reports
- curl
- Python
curl -i -X POST \
'https://docs.ripple.com/_mock/products/payments-odl/api-docs/report_service/report_service/internal/scheduler/reports?use-caspian=true' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: */*' \
-d '[object Object]'Returns an array of reports created
Unique identifier for a report.
The report type of the downloadable report.
| Enum Value | Description |
|---|---|
| PAYMENT_OPS | Basic payment report suitable for high-level payment investigation and reporting. |
| RECON | Reconciliation report suitable for reconciliation and detailed state-by-state investigation. |
| FAILURE_CONVERSION_SSA | Failure conversion & SSA report suitable for failed payments investigation. |
The report format of the downloadable report.
| Enum Value | Description |
|---|---|
| CSV | A CSV file is a text file that uses a comma to delimit values. Each line of text corresponds to a unique record. |
| JSON | JSON (Javascript Object Notation) is a file format that uses human-readable text to store and transmit data objects consisting of attribute-value pairs and arrays. |
The status of the report.
| Enum Value | Description |
|---|---|
| PENDING | Report isn't ready for download. |
| READY | Report is ready for download. |
| FAILED | Unable generate the report. |
| EMPTY | Report has no transactions for the date range. |
The ISO-8601 start date (inclusive) of the report.
The ISO-8601 end date (inclusive) of the report.
Note: Must be after startDate, but no more than 90 days after.
{ "reports": [ { … } ] }
- Mock server
https://docs.ripple.com/_mock/products/payments-odl/api-docs/report_service/report_service/internal/reports/{report-id}
- Test environment<br/>Learn about <a href="https://docs.ripple.com/ripplenet/implementation/baseurls/#base-url-by-api-environment" class="api-console-href">API environments</a>
https://reporting-test.rnc.ripplenet.com/internal/reports/{report-id}
- Production environment
https://reporting.rnc.ripplenet.com/internal/reports/{report-id}
- curl
- Python
curl -i -X GET \
'https://docs.ripple.com/_mock/products/payments-odl/api-docs/report_service/report_service/internal/reports/{report-id}?caspian-only=true' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'Returns the JSON record of the report specified in the path parameter
Unique identifier for a report.
The report type of the downloadable report.
| Enum Value | Description |
|---|---|
| PAYMENT_OPS | Basic payment report suitable for high-level payment investigation and reporting. |
| RECON | Reconciliation report suitable for reconciliation and detailed state-by-state investigation. |
| FAILURE_CONVERSION_SSA | Failure conversion & SSA report suitable for failed payments investigation. |
The report format of the downloadable report.
| Enum Value | Description |
|---|---|
| CSV | A CSV file is a text file that uses a comma to delimit values. Each line of text corresponds to a unique record. |
| JSON | JSON (Javascript Object Notation) is a file format that uses human-readable text to store and transmit data objects consisting of attribute-value pairs and arrays. |
The status of the report.
| Enum Value | Description |
|---|---|
| PENDING | Report isn't ready for download. |
| READY | Report is ready for download. |
| FAILED | Unable generate the report. |
| EMPTY | Report has no transactions for the date range. |
The ISO-8601 start date (inclusive) for a requested report.
The ISO-8601 end date (inclusive) for a requested report.
Note: Must be after startDate, but no more than 90 days after.
Link where you can download the report in the available format. This field is available when the report status is READY.
Identifies the entity that initiated the report creation.
| Value | Description |
|---|---|
| SCHEDULER | Automated system-generated report initiated by the scheduler. |
| API | User-generated report initiated through the API. |
| [full name] | Full name of the user who initiated the creation of the report through the UI. |
| null | Legacy support for older reports. |
{ "reportId": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "reportName": "My custom report", "reportType": "PAYMENT_OPS", "reportFormat": "CSV", "reportStatus": "READY", "startDate": "2018-04-06T19:33:35Z", "endDate": "2018-04-06T20:33:35Z", "createdOn": "2018-04-06T20:33:35Z", "downloadLink": "https://reporting-test.rnc.ripplenet.com/v1/reports/download/497f6eca-6276-4993-bfeb-53cbbbba6f08", "reportCreatedBy": "Norma Jean" }
- Mock server
https://docs.ripple.com/_mock/products/payments-odl/api-docs/report_service/report_service/internal/reports/{report-id}
- Test environment<br/>Learn about <a href="https://docs.ripple.com/ripplenet/implementation/baseurls/#base-url-by-api-environment" class="api-console-href">API environments</a>
https://reporting-test.rnc.ripplenet.com/internal/reports/{report-id}
- Production environment
https://reporting.rnc.ripplenet.com/internal/reports/{report-id}
- curl
- Python
curl -i -X DELETE \
'https://docs.ripple.com/_mock/products/payments-odl/api-docs/report_service/report_service/internal/reports/{report-id}?caspian_only=true' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'- Mock server
https://docs.ripple.com/_mock/products/payments-odl/api-docs/report_service/report_service/internal/reports/download/{report-id}
- Test environment<br/>Learn about <a href="https://docs.ripple.com/ripplenet/implementation/baseurls/#base-url-by-api-environment" class="api-console-href">API environments</a>
https://reporting-test.rnc.ripplenet.com/internal/reports/download/{report-id}
- Production environment
https://reporting.rnc.ripplenet.com/internal/reports/download/{report-id}
- curl
- Python
curl -i -X GET \
'https://docs.ripple.com/_mock/products/payments-odl/api-docs/report_service/report_service/internal/reports/download/497f6eca-6276-4993-bfeb-53cbbbba6f08?caspian-only=true' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'"string"
- Mock server
https://docs.ripple.com/_mock/products/payments-odl/api-docs/report_service/report_service/internal/reports/all
- Test environment<br/>Learn about <a href="https://docs.ripple.com/ripplenet/implementation/baseurls/#base-url-by-api-environment" class="api-console-href">API environments</a>
https://reporting-test.rnc.ripplenet.com/internal/reports/all
- Production environment
https://reporting.rnc.ripplenet.com/internal/reports/all
- curl
- Python
curl -i -X DELETE \
https://docs.ripple.com/_mock/products/payments-odl/api-docs/report_service/report_service/internal/reports/all \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'- Mock server
https://docs.ripple.com/_mock/products/payments-odl/api-docs/report_service/report_service/internal/reports/all
- Test environment<br/>Learn about <a href="https://docs.ripple.com/ripplenet/implementation/baseurls/#base-url-by-api-environment" class="api-console-href">API environments</a>
https://reporting-test.rnc.ripplenet.com/internal/reports/all
- Production environment
https://reporting.rnc.ripplenet.com/internal/reports/all
- curl
- Python
curl -i -X PUT \
'https://docs.ripple.com/_mock/products/payments-odl/api-docs/report_service/report_service/internal/reports/all?use-caspian=true' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: */*' \
-d '[object Object]'Returns an array of report metadata for rerun reports
Unique identifier for a report.
The report type of the downloadable report.
| Enum Value | Description |
|---|---|
| PAYMENT_OPS | Basic payment report suitable for high-level payment investigation and reporting. |
| RECON | Reconciliation report suitable for reconciliation and detailed state-by-state investigation. |
| FAILURE_CONVERSION_SSA | Failure conversion & SSA report suitable for failed payments investigation. |
The report format of the downloadable report.
| Enum Value | Description |
|---|---|
| CSV | A CSV file is a text file that uses a comma to delimit values. Each line of text corresponds to a unique record. |
| JSON | JSON (Javascript Object Notation) is a file format that uses human-readable text to store and transmit data objects consisting of attribute-value pairs and arrays. |
The status of the report.
| Enum Value | Description |
|---|---|
| PENDING | Report isn't ready for download. |
| READY | Report is ready for download. |
| FAILED | Unable generate the report. |
| EMPTY | Report has no transactions for the date range. |
The ISO-8601 start date (inclusive) of the report.
The ISO-8601 end date (inclusive) of the report.
Note: Must be after startDate, but no more than 90 days after.
{ "reports": [ { … } ] }
- Mock server
https://docs.ripple.com/_mock/products/payments-odl/api-docs/report_service/report_service/internal/reports/tenants
- Test environment<br/>Learn about <a href="https://docs.ripple.com/ripplenet/implementation/baseurls/#base-url-by-api-environment" class="api-console-href">API environments</a>
https://reporting-test.rnc.ripplenet.com/internal/reports/tenants
- Production environment
https://reporting.rnc.ripplenet.com/internal/reports/tenants
- curl
- Python
curl -i -X GET \
'https://docs.ripple.com/_mock/products/payments-odl/api-docs/report_service/report_service/internal/reports/tenants?tenant-ids=string' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'{ "property1": [ {} ], "property2": [ {} ] }
- Mock server
https://docs.ripple.com/_mock/products/payments-odl/api-docs/report_service/report_service/internal/reports/tenants
- Test environment<br/>Learn about <a href="https://docs.ripple.com/ripplenet/implementation/baseurls/#base-url-by-api-environment" class="api-console-href">API environments</a>
https://reporting-test.rnc.ripplenet.com/internal/reports/tenants
- Production environment
https://reporting.rnc.ripplenet.com/internal/reports/tenants
- curl
- Python
curl -i -X DELETE \
'https://docs.ripple.com/_mock/products/payments-odl/api-docs/report_service/report_service/internal/reports/tenants?tenant-id=string&report-id=497f6eca-6276-4993-bfeb-53cbbbba6f08' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'- Mock server
https://docs.ripple.com/_mock/products/payments-odl/api-docs/report_service/report_service/internal/validate-tenant
- Test environment<br/>Learn about <a href="https://docs.ripple.com/ripplenet/implementation/baseurls/#base-url-by-api-environment" class="api-console-href">API environments</a>
https://reporting-test.rnc.ripplenet.com/internal/validate-tenant
- Production environment
https://reporting.rnc.ripplenet.com/internal/validate-tenant
- curl
- Python
curl -i -X GET \
https://docs.ripple.com/_mock/products/payments-odl/api-docs/report_service/report_service/internal/validate-tenant \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'